SSLImplementation (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.SSLImplementation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class SSLImplementation

    java.lang.Object
      org.apache.tomcat.util.net.SSLImplementation

Direct Known Subclasses:
  JSSEImplementation, PureTLSImplementation

public abstract class SSLImplementation
extends java.lang.Object

Constructor Summary
`SSLImplementation()`

Method Summary
`abstract java.lang.String` | `getImplementationName()`
`static SSLImplementation` | `getInstance()`
`static SSLImplementation` | `getInstance(java.lang.String className)`
`abstract ServerSocketFactory` | `getServerSocketFactory()`
`abstract SSLSupport` | `getSSLSupport(java.net.Socket sock)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLImplementation

    public SSLImplementation()

Method Detail

### getInstance

    public static SSLImplementation getInstance()
                                         throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getInstance

    public static SSLImplementation getInstance(java.lang.String className)
                                         throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getImplementationName

    public abstract java.lang.String getImplementationName()

### getServerSocketFactory

    public abstract ServerSocketFactory getServerSocketFactory()

### getSSLSupport

    public abstract SSLSupport getSSLSupport(java.net.Socket sock)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.